from engine.Gfx import gfx
from engine.EventHandler import events, EventMonitor
from entities.World import World
from engine.Music import Music
from pygame import image

class Echo(EventMonitor):
	def __init__(self):
		"""
		This is my main class, which does the overall game logic work.
		It also brings up menus and stuff if the user requests them, pauses the game, etc.
		"""
		EventMonitor.__init__(self)
		gfx.Caption('Echo The Robot in; The Search For Echo The Robot')
		self.quit = False
		self.world = World()
		self.music = Music()
		self.cont = False
	
	def Run(self):
		"""
		Launch the main part of the program!
		"""
		img = image.load("splash.png")
		while not self.cont:
			events.Pump()
			self.Pump()
			gfx.screen.blit(img, (0, 0))
			self.music.Update()
			gfx.Flip()

		while not self.quit:
			gfx.screen.fill([230, 232, 255])
			
			events.Pump()
			self.Pump()
			self.world.Update()
			self.world.Draw()
			self.music.Update()
			
			gfx.Flip()
	
	def KeyDown(self, e):
		self.cont = True

	def Quit(self):
		self.quit = True

	def KeyDown_escape(self, e):
		self.quit = True
	
	def KeyDown_q(self, e):
		self.quit = True
	
