import pygame

class Gfx:
	"""
	The graphics engine. Stores a copy of the display surface and a mini font engine.
	"""
	def __init__(self):
		self.window = pygame.display.set_mode((800, 600))
		self.screen = pygame.display.get_surface()
    		self.hfont = pygame.font.Font("resources/goodtime.ttf", int(self.screen.get_width() / 30))
    		self.font = pygame.font.Font("resources/stereofidelity.ttf", int(self.screen.get_width() / 30))
		self.cfont = pygame.font.Font("resources/axaxax.ttf", int(self.screen.get_width() / 50))

	def Caption(self, caption):
		"""
		Set the window caption.
		"""
		pygame.display.set_caption(caption) 
	
	def Flip(self):
		"""
		Post rendering stuff such as:
		Flip the pygame display surface.
		"""
		pygame.display.flip()

# this is a singleton and we always want it instantiated
gfx = Gfx()
