from engine.Gfx import gfx
from engine import Randomness

class Ground:
	"""
	This guy renders the ground in nice colours.
	It's sort of an entity, but also not really.
	It looks like an entity, and it quacks like an entity though.
	"""
	def __init__(self, world):
		"""
		Set up the background.
		"""
		self.world = world
		self.position = [0, -world.horizon]
		self.width = 0
		self.scale = 1
	
	def Draw(self):
		"""
		Render the ground.
		Make it a randomly weird color.
		"""
		c = (max(0.3, Randomness.InterpolatedNoise2D(self.position[0] / 4.0, self.position[1] / 4.0, "ground")) - 0.3) * 4.2
		colors = [[150, 100, 0], [100, 100, 100], [30, 120, 25]]
		final = [Randomness.CosInterpolation(colors[int(c)][x], colors[int(c) + 1][x], c - int(c)) for x in range(3)]
		# final = [150, 100, 0]
		gfx.screen.fill(final, (0, gfx.screen.get_height() * 0.1, gfx.screen.get_width(), gfx.screen.get_height() * 0.9))
	
	def Update(self):
		"""
		Align me with thingies.
		"""
		self.position = [self.world.position[0], self.world.position[1] - 1.3]
